Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/social-post-ideas/scraped-brand-context

Scraped brand context

Returns the context scraped from the brand's website that grounds social post-idea generation — business name/description, services, products, pricing, brand colors/logo, tone, and target customers.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
socialProfileIdstringrequiredSocial profile ID.

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/scraped-brand-context?socialProfileId=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "scrapedBrandContext": {
      "id": "string",
      "socialProfileId": "string",
      "businessName": "string",
      "category": "string",
      "businessDescription": "string",
      "location": "string",
      "services": {},
      "products": {},
      "subcategories": {},
      "pricing": {},
      "availability": {},
      "uniqueSellingPoints": {},
      "tone": "string",
      "targetCustomers": "string",
      "scrapedImages": {},
      "insights": {},
      "brandPrimaryColor": "string",
      "brandSecondaryColor": "string",
      "brandLogoUrl": "string",
      "scrapedContext": "string",
      "visualContext": {}
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.scrapedBrandContextobjectoptional
data.scrapedBrandContext.idstringoptional
data.scrapedBrandContext.socialProfileIdstringoptional
data.scrapedBrandContext.businessNamestringoptional
data.scrapedBrandContext.categorystringoptional
data.scrapedBrandContext.businessDescriptionstringoptional
data.scrapedBrandContext.locationstringoptional
data.scrapedBrandContext.servicesobjectoptionalFree-form JSON.
data.scrapedBrandContext.productsobjectoptionalFree-form JSON.
data.scrapedBrandContext.subcategoriesobjectoptionalFree-form JSON.
data.scrapedBrandContext.pricingobjectoptionalFree-form JSON.
data.scrapedBrandContext.availabilityobjectoptionalFree-form JSON.
data.scrapedBrandContext.uniqueSellingPointsobjectoptionalFree-form JSON.
data.scrapedBrandContext.tonestringoptional
data.scrapedBrandContext.targetCustomersstringoptional
data.scrapedBrandContext.scrapedImagesobjectoptionalFree-form JSON.
data.scrapedBrandContext.insightsobjectoptionalFree-form JSON.
data.scrapedBrandContext.brandPrimaryColorstringoptional
data.scrapedBrandContext.brandSecondaryColorstringoptional
data.scrapedBrandContext.brandLogoUrlstringoptional
data.scrapedBrandContext.scrapedContextstringoptional
data.scrapedBrandContext.visualContextobjectoptionalFree-form JSON.